Return the current process identifier

- « posix_getpgrp

- posix_getppid »

- PHP Manual
- POSIX Functions
- Return the current process identifier

# posix_getpid

(PHP 4, PHP 5, PHP 7, PHP 8)

posix_getpid — Return the current process identifier

### Description

posix_getpid(): int

Return the process identifier of the current process.

### Parameters

This function has no parameters.

### Return Values

Returns the identifier, as an int.

### Examples

Example #1 Example use of posix_getpid()

    <?phpecho posix_getpid(); //8805?>

### See Also

- posix_kill() - Send a signal to a process
- POSIX man page GETPID(2)